Loading...
Searching...
No Matches
matrixops.hpp File Reference

Helper class with some matrix operations. More...

`#include <opm/common/utility/platform_dependent/disable_warnings.h>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/dynmatrix.hh>`
`#include <dune/istl/bcrsmatrix.hh>`
`#include <opm/common/utility/platform_dependent/reenable_warnings.h>`

Go to the source code of this file.

## Classes

class | Opm::Elasticity::MatrixOps
| Helper class with some matrix operations. More...

## Namespaces

namespace | Opm
| Inverting small matrices.

## Typedefs

typedef Dune::BCRSMatrix< Dune::FieldMatrix< double, 1, 1 > > | Opm::Elasticity::Matrix
| A sparse matrix holding our operator.
typedef std::vector< std::set< int > > | Opm::Elasticity::AdjacencyPattern
| For storing matrix adjacency/sparsity patterns.
typedef Dune::BlockVector< Dune::FieldVector< double, 1 > > | Opm::Elasticity::Vector
| A vector holding our RHS.

## Detailed Description

Helper class with some matrix operations.

Date
  Nov 9 2011

Author
  Arne Morten Kvarving / SINTEF